Page MenuHomePhabricator

Editing does not work with enhanced toolbar enabled
Closed, InvalidPublic

Description

Filing a bug on another user's behalf (Mike.lifeguard)

When attempting to edit a page on the strategy wiki, the interface acts as if an edit has been saved, when it in fact has not been.

Browser: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.7) Gecko/20100106 Ubuntu/9.10 (karmic) Firefox/3.5.7
Account: Mike.lifeguard
Wiki: Strategy wiki

Steps to reproduce:

  1. Open http://strategy.wikimedia.org/wiki/User_talk:Mike.lifeguard#MediaWiki_Skinning
  2. With the enhanced toolbar turned on, click [edit].
  3. Add :test to the bottom of the text area.
  4. Click save.

Expected outcome:

Section shows its original text, plus :test

Actual outcome:

Section shows its original text.

Other data:

Paste of the edit page's source: http://p.defau.lt/?gExsg_nQPJvXZPDH1iUaXw


Version: unspecified
Severity: critical

Details

Reference
bz22455

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 21 2014, 10:55 PM
bzimport set Reference to bz22455.

Just a note: I can't reproduce this on my account on FF3.6/OS X. Testing this bug may require impersonating Mike.lifeguard.

mike.lifeguard+bugs wrote:

This was resolved by disabling user scripts. If you want me to figure out which one caused this and why, poke me later.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 30 2016, 3:22 PM
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:59 AM